View Issue Details

IDProjectCategoryView StatusLast Update
0001928Common[All Projects] Generalpublic2016-12-30 22:44
ReporterXenostomAssigned ToXenos 
PrioritynormalSeverityminorReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version3.3.0 
Summary0001928: Ajouter le header "Vary" dans la réponse HTTP
DescriptionCf https://developer.mozilla.org/en-US/docs/Web/HTTP/Content_negotiation#The_Vary_response_header

Cela permettra aux caches de mieux fonctionner en sachant quels headers ont été utilisés pour construire la réponse.
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-12-29 21:52

administrator   ~0002823

J'ai donc mis en place la possibilité de changer les headers par défaut de la réponse. Cela permettra de les gérer finement ou largement.

Le "Vary" est donc appliqué par défaut, et cela sera donc en place sur tous les projets.
Mais je peux changer ces headers par défaut et en mettre d'autres.
Je peux aussi, dans le handler, spécifier la valeur du header "Vary", qui s'ajoutera à la valeur par défaut.
Si je veux écraser la valeur par défaut, je devrais donc la mettre à rien du tout (ne pas en définir) et définir la valeur du header "Vary" dans le handler (ou, si besoin, j'ajouterai la logique pour cela dans le GenericDecoratingHandler).

Issue History

Date Modified Username Field Change
2016-12-28 16:42 Xenostom New Issue
2016-12-29 20:38 Xenos Assigned To => Xenos
2016-12-29 20:38 Xenos Status New => In progress
2016-12-29 21:52 Xenos Status In progress => Ready
2016-12-29 21:52 Xenos Resolution open => fixed
2016-12-29 21:52 Xenos Note Added: 0002823
2016-12-30 22:43 AutoUpdater Status Ready => Resolved
2016-12-30 22:43 AutoUpdater Fixed in Version => 3.3.0
2016-12-30 22:44 Xenos Status Resolved => Close